Groovy 1.7.0

## groovy.swing.factory
Class ListFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.ListFactory

    class ListFactory
    extends AbstractFactory

Create a JList, and handle the optional items attribute.

author:
  HuberB1

Constructor Summary
`ListFactory()`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ListFactory

    ListFactory()

Method Detail

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### onHandleNodeAttributes

    public boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)

Copyright © 2003-2009 The Codehaus. All rights reserved.